Status: Resolved Start date: 09/23/2014
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: Type Proposal Estimated time: 0.00 hour
Target version: rsb-0.11
Description

The results of the visual focus of attention are needed in the PersonHypothesis. While a HeadObject carries only the best target, the
PersonHypothesis could gather all targets including their probabilities.

Associated revisions
Revision a45a11d3 - 10/02/2014 05:43 PM - T. Dankert

Add attention targets to PersonHypothesis

A new repeated filed allows to express the probability that a person
focuses on individual named attention targets.

fixes #2019

Signed-off-by: Johannes Wienke <jwienke@techfak.uni-bielefeld.de>

History
#1 - 09/26/2014 12:54 PM - J. Wienke
- Status changed from New to In Progress
- Assignee set to J. Wienke
- Target version set to rsb-0.11

#2 - 09/26/2014 01:15 PM - J. Wienke
- File 0001-Add-attention-targets-to-PersonHypothesis.patch added
- % Done changed from 0 to 30

I'd proposed the attached changes to
    -  better express the meaning of the new fields
    -  make them independent of visual focus of attention for more generality
    -  fix coding conventions (tabs -> spaces, newlines, constraint added, improved naming)

In this form, the additions for attention targets largely resemble the ClassificationResult type and it could be argued that the current VFOA algorithm is
more or less a classification algorithm. Personally, I would, however, use the more specifically named type here to be more expressive and allow
further domain-specific changes which wouldn't be possible with the general classification result type. Any opinions on that?

#3 - 10/01/2014 02:04 PM - J. Wienke

Ping?
#4 - 10/01/2014 02:10 PM - T. Dankert

Uh, sorry. Your suggestion would also work for me.

#5 - 10/02/2014 05:44 PM - T. Dankert
- Status changed from In Progress to Resolved
- % Done changed from 30 to 100

Applied in changeset commit:rst-proto|a45a11d397aacc3fe0f84308464aaf1e51eef665.

Files
0001-Added-VFOA-targets-including-the-probabilities.patch 1.09 KB 09/23/2014 T. Dankert
0001-Add-attention-targets-to-PersonHypothesis.patch 1.51 KB 09/26/2014 J. Wienke
